# -*- coding: utf-8 -*-

from django.conf.urls import patterns, include, url

urlpatterns = patterns('cuestionario.descarga_csv',
  	url(r'descarga/(?P<id>\d+)/(?P<alumno>\w+)$', 'descarga_evaluacion', name="descarga_evaluacion"),
   	url(r'descarga/(?P<alumno>\w+)$', 'descarga_evaluacion_alumno', name="descarga_evaluacion_alumno"),
   	url(r'descarga/(?P<id>\d+)/$', 'descarga_todas_evaluaciones', name="descarga_todas_evaluaciones"),

)

urlpatterns += patterns('cuestionario.views',
    url(r'evaluar/(?P<id>\d+)/$', 'evaluar_tarea', name="ver_evaluacion_tarea"),
    url(r'evaluaciones/(?P<alumno>[-\w]+)/$', 'ver_evaluaciones_de_alumno', name="ver_evaluaciones_de_alumno"),
    url(r'ver/(?P<id>\d+)/(?P<alumno>\w+)$', 'ver_evaluacion_alumno', name="ver_evaluacion"),
    url(r'tareas/(?P<id>\d+)/(?P<alumno>[-\w]+)/$', 'ver_correciones_actividad', name="ver_correciones_actividad"),
    url(r'evaluaciones/$', 'evaluar', name="ver_evaluaciones"),
    url(r'$', 'index', name="ver_cuestionario"),

)

